/*
 if(window.File && window.FileReader) {
 //File API
 alert("ご使用のブラウザはFile APIを実装しています");
 }else{
 alert("ご使用のブラウザはFile APIをサポートしていません");
 }
 */

function filemethod() {
    document.getElementById("con").innerHTML = "Please input File.";
    var obj1 = document.getElementById("exsample");
    //ダイアログでファイルが選択された時
    obj1.addEventListener("change", function(evt) {
        document.getElementById("con").innerHTML = "Complete upload!";
        var file = evt.target.files;
        //FileReaderの作成
        var reader = new FileReader();
        //テキスト形式で読み込む
        reader.readAsText(file[0]);

        //読込終了後の処理
        reader.onload = function(ev) {
            //テキストエリアに表示する
            document.getElementById("change").innerHTML = reader.result;
            //console.log(typeof reader.result);
            var textvalue;
            textvalue = JSON.parse(reader.result);
            //console.log(typeof textvalue);
            document.forms.eucentric.maxtilt.value = textvalue['maxtilt'];
            document.forms.eucentric.speed.value = textvalue['speed'];
            document.forms.eucentric.zshift.value = textvalue['zshift'];
        };
    }, false);
}

function filemethod2() {
    console.log('move this problem2!');
    document.getElementById("con2").innerHTML = "Please input File.";
    var obj2 = document.getElementById("exsample2");
    //ダイアログでファイルが選択された時
    obj2.addEventListener("change", function(evt) {
        document.getElementById("con2").innerHTML = "Complete upload!";
        console.log('move this loop!');
        var file2 = evt.target.files;
        //FileReaderの作成
        var reader2 = new FileReader();
        //テキスト形式で読み込む
        reader2.readAsText(file2[0]);


        reader2.onload = function(ev) {
            //テキストエリアに表示する
            document.getElementById("change2").innerHTML = reader2.result;
            //console.log(typeof reader.result);
            var textvalue;
            textvalue = JSON.parse(reader2.result);
            //console.log(typeof textvalue);
            document.forms.eucentric.maxtilt.value = textvalue['maxtilt'];
            document.forms.eucentric.speed.value = textvalue['speed'];
            document.forms.eucentric.zshift.value = textvalue['zshift'];
        };
    }, false);
}

function filemethod3() {
    console.log('move this problem3!');
    document.getElementById("con3").innerHTML = "Please input File.";
    var obj3 = document.getElementById("exsample3");
    //ダイアログでファイルが選択された時
    obj3.addEventListener("change", function(evt) {
        document.getElementById("con3").innerHTML = "Complete upload!";
        console.log('move this loop!');
        var file3 = evt.target.files;
        //FileReaderの作成
        var reader3 = new FileReader();
        //テキスト形式で読み込む
        reader3.readAsText(file3[0]);


        reader3.onload = function(ev) {
            //テキストエリアに表示する
            document.getElementById("change3").innerHTML = reader3.result;
            //console.log(typeof reader.result);
            var textvalue;
            textvalue = JSON.parse(reader3.result);
            //console.log(typeof textvalue);
            document.forms.eucentric.maxtilt.value = textvalue['maxtilt'];
            document.forms.eucentric.speed.value = textvalue['speed'];
            document.forms.eucentric.zshift.value = textvalue['zshift'];
        };
    }, false);
}

function TextSave() {
//文字を取得
    var text = document.getElementById('text').value;
//ファイル名を取得、デフォルトは「mytext」
    var name = document.getElementById('name').value || 'mytext';

//テキストファイルを作成
    var blob = new Blob([text], {type: 'text/plain'});

//リンクを取得
    var link = document.getElementById('DL_link');
//リンクにダウンロードするファイルをセット
    link.href = window.URL.createObjectURL(blob);

//もしダウンロード属性に対応していたら
    if ('download' in link) {
//リンクにダウンロードする名前をセット
        link.download = name + '.txt';
//リンクをクリックしてダウンロードさせる
        link.click();

//もし対応してなかったら
    } else {
//メッセージを表示する
        link.textContent = '右クリックから名前を付けて保存してください';
    }
}

function CanvasSave(canvasid) {
//ファイル名を取得、デフォルトは「mytext」
    var name = document.getElementById('namephoto2').value || 'myphoto';
//テキストファイルを作成
    var cvs = document.getElementById(canvasid);
    var canvasimage = cvs.toDataURL();

    //var blob = new Blob([text], {type: 'text/plain'});

//リンクを取得
    var linkcanvas = document.getElementById('DL_link_canvas');
//リンクにダウンロードするファイルをセット
    linkcanvas.href =canvasimage;

//もしダウンロード属性に対応していたら
    if ('download' in linkcanvas) {
//リンクにダウンロードする名前をセット
        linkcanvas.download = name + '.tif';
//リンクをクリックしてダウンロードさせる
        linkcanvas.click();

//もし対応してなかったら
    } else {
//メッセージを表示する
        linkcanvas.textContent = '右クリックから名前を付けて保存してください';
    }
}



function SaveFileContents() {
    smaxtilt = document.forms.eucentric.maxtilt.value;
    sspeed = document.forms.eucentric.speed.value;
    szshift = document.forms.eucentric.zshift.value;
    console.log(smaxtilt);
    document.forms.save.text.value = '{"maxtilt":' + smaxtilt + ',"speed":' + sspeed + ',"zshift":' + szshift + '}';
    console.log(document.forms.save.text.value);
}

function ConditionFileSave() {

    var tem = document.getElementById("tem").innerHTML;
    var GonioX = document.getElementById("GonioX").innerHTML;
    var GonioY = document.getElementById("GonioY").innerHTML;
    var GonioZ = document.getElementById("GonioZ").innerHTML;
    var GonioA = document.getElementById("GonioA").innerHTML;
    var SpotSizeIndex = document.getElementById("SpotSizeIndex").innerHTML;
    var MagIndex = document.getElementById("MagIndex").innerHTML;
    var Obj = document.getElementById("Obj").innerHTML;
    var BeamTiltX = document.getElementById("BeamTiltX").innerHTML;
    var BeamTiltY = document.getElementById("BeamTiltY").innerHTML;
    var Speed = document.getElementById("Speed").innerHTML;
    var date = new Date();
    var Year = date.getFullYear();
    var Month = date.getMonth() + 1;
    var day = date.getDate();

   // document.getElementById("daysdata").innerHTML = Year + "/" + Month + "/" + day ;

//文字を取得ファイルにはいるやつ
    var text = "{'TEM';'"+tem+"','GonioX':'"+GonioX+"','GonioY':'"+GonioY+"','GonioZ':'"+GonioZ+"','GonioA':'"+GonioA+"','SpotSizeIndex':'"+SpotSizeIndex+"','MagIndex':'"+MagIndex+"','Obj':'"+Obj+"','BeamTiltX':'"+BeamTiltX+"','BeamTiltY':'"+BeamTiltY+"','Speed':'"+Speed+"','Date':'"+Year+'/'+Month+'/'+day+"'}";
//ファイル名を取得、デフォルトは「mytext」
    var name = document.getElementById('name1').value || 'mytext';

//テキストファイルを作成
    var blob = new Blob([text], {type: 'text/plain'});

//リンクを取得
    var linkcondition = document.getElementById('DL_link_condition');
//リンクにダウンロードするファイルをセット
    linkcondition.href = window.URL.createObjectURL(blob);

//もしダウンロード属性に対応していたら
    if ('download' in linkcondition) {
//リンクにダウンロードする名前をセット
        linkcondition.download = name + '.txt';
//リンクをクリックしてダウンロードさせる
        linkcondition.click();

//もし対応してなかったら
    } else {
//メッセージを表示する
        linkcondition.textContent = '右クリックから名前を付けて保存してください';
    }
}
